Bug 1566380 - volume change with pulse audio plugin, changes hardware volume instead of audacity playback
Summary: volume change with pulse audio plugin, changes hardware volume instead of aud...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 08:15 UTC by customercare
Modified: 2018-11-02 19:21 UTC (History)
4 users (show)

Fixed In Version: audacity-2.3.0-1.fc29 audacity-2.3.0-1.fc27 audacity-2.3.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 17:18:38 UTC
Type: Bug


Attachments (Terms of Use)
correlation between audacity vol. control and PA controls (269.06 KB, image/png)
2018-04-12 08:15 UTC, customercare
no flags Details
Screenshot of pa and ac controls after a change. ( compareit with #1 ) (286.00 KB, image/png)
2018-04-12 08:16 UTC, customercare
no flags Details

Description customercare 2018-04-12 08:15:42 UTC
Created attachment 1420753 [details]
correlation between audacity vol. control and PA controls

Description of problem:

If PULSE as playback device is chosen, audacity volume controls do not change the output of the "ALSA plugin" AC uses, they change the entire hardware outputlevel.

It is possible to use the PA controls to change the output level of the used Alsa Plugin, which inplies, that AC does something very wrong.

As this behaviour is unexpected, it should be changed.

Worst part: "it" (hw device) stays on the level after the programm exits.

Version-Release number of selected component (if applicable):

2.2.2


Actual results:

AC changes the entire hw device output level.

Expected results:

AC changes the output level of the used '"ALSA Plugin" [Audacity]' stream.

Additional info:

Comment 1 customercare 2018-04-12 08:16:21 UTC
Created attachment 1420754 [details]
Screenshot of pa and ac controls after a change. ( compareit with #1 )

Comment 2 Fedora End Of Life 2018-05-03 08:20:16 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 David Timms 2018-10-03 12:55:33 UTC
I wonder if it controls the hardware level to increase performance..

In any case, Audacity 2.3.0 was released and builds will soon be available in -testing to recheck this issue.

Comment 4 Fedora Update System 2018-10-03 13:02:30 UTC
audacity-2.3.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5c01437fa7

Comment 5 Fedora Update System 2018-10-03 13:03:12 UTC
audacity-2.3.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9e098024ad

Comment 6 Fedora Update System 2018-10-03 13:03:54 UTC
audacity-2.3.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e66ef16e01

Comment 7 Fedora Update System 2018-10-03 15:42:30 UTC
audacity-2.3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5c01437fa7

Comment 8 Fedora Update System 2018-10-04 18:00:51 UTC
audacity-2.3.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9e098024ad

Comment 9 Fedora Update System 2018-10-04 21:10:29 UTC
audacity-2.3.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e66ef16e01

Comment 10 Fedora Update System 2018-10-30 17:18:38 UTC
audacity-2.3.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-01 17:09:39 UTC
audacity-2.3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-02 19:21:29 UTC
audacity-2.3.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.